global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/notification/*.log
  logPath: /app/log/notification
notification:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: notification
    tag: snapshot-39d7d2a
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8003
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 64Mi
    limits:
      cpu: 100m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8003
        initialDelaySeconds: 30
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8003
        initialDelaySeconds: 30
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: notification-service
    type: ClusterIP
    port: 8003
    targetPort: 8003
    serviceMonitor:
      enabled: false
  ingresses:
  - name: notification-ingress
    host: notification.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: notification-service
          port:
            number: 8003
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: notification.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: notification
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8003
    mongodbName: freeleaps2
    mongodbPort: 27017
    rabbitmqHost: freeleaps-alpha-rabbitmq.freeleaps-alpha.svc.freeleaps.cluster
    authServiceEndpoint: http://freeleaps-auth-service.68c0da88a0a7837e84b580eb-alpha.svc.freeleaps.cluster:9000/api/v1/keys/
    rabbitmqPort: 5672
    rabbitmqUsername: user
    rabbitmqVritualHost: /
    systemUserId: 117f191e810c19729de860aa
    smsFrom: '+16898887156'
    emailFrom: freeleaps@freeleaps.com
    metricsEnabled: 'false'
    probesEnabled: 'true'
  vpa:
    minAllowed:
      enabled: false
      cpu: 50m
      memory: 64Mi
    maxAllowed:
      enabled: true
      cpu: 100m
      memory: 128Mi
    controlledResources:
    - cpu
    - memory
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: freeleaps-notification-alpha-secrets
      creationPolicy: Owner
    refreshInterval: 30s
    data:
    - key: mongodbUri
      remoteRef:
        key: freeleaps-alpha-mongodb-uri
        type: Secret
    - key: rabbitmqPassword
      remoteRef:
        key: freeleaps-alpha-rabbitmq-password
        type: Secret
    - key: secretKey
      remoteRef:
        key: freeleaps-alpha-secret-key
        type: Secret
    - key: sendgridApiKey
      remoteRef:
        key: freeleaps-alpha-sendgrid-api-key
        type: Secret
    - key: twilioAccountSid
      remoteRef:
        key: freeleaps-alpha-twilio-account-sid
        type: Secret
    - key: twilioAuthToken
      remoteRef:
        key: freeleaps-alpha-twilio-auth-token
        type: Secret
